Foobillard en Debian

cryptex

Lanero Regular
1 Nov 2006
21
Saludos,

tengo Debian_2.dotdeb.0-log, con Linux 2.6.8-2-386.

he instalado foobillard con apt-get, cuando lo corro funciona muy lento. en las FAQ de foobillard
dice que debo instalar los drivers de aceleracion. como se si los tengo instalados?
tampoco sé que tarjeta de video tengo 8(, cualquier ayuda... quiero jugar billar!

gracias
 

crisgtk

Lanero Regular
3 Oct 2006
43
1- si es debian lo que usas en un terminal coloca el comando lspci este comando te mostrara el tipo de hardware que tiene tu computador incluyendo lo que tu quieres la targeta de video

2- despues debes ver si tu targeta de video tiene aceleración gráfica y si es asi instalas los driver de tu targeta de video, puedes hacerlo por apt si es el caso de una targeta nvidia o descargarlo de la página oficial.

3- juega billar!!!
 

cryptex

Lanero Regular
1 Nov 2006
21
john@developer:~$ lspci
0000:00:00.0 Host bridge: VIA Technologies, Inc. VT8378 [KM400] Chipset Host Bridge
0000:00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI Bridge
0000:00:0f.0 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
0000:00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
0000:00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
0000:00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
0000:00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
0000:00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge [K8T800 South]
0000:00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 60)
0000:00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 78)
0000:01:00.0 VGA compatible controller: VIA Technologies, Inc. VT8378 [S3 UniChrome] Integrated Video (rev 01)

no entiendo esta info. si tengo pero integrada?
 

lordhellriser

Lanero Reconocido
31 Mar 2004
1,519
es S3 unichrome, y no es una tarjeta con soporte completo de aceleracion en linux, o por lo menos no da el rendimiento que uno desea, aunque sus driver fueron liberados por VIA. si la llegara a instalar le daria tristes 600fps en glxgears. con tiempo y paciencia puede intentar instalar los drivers.

aqui las guias y los drivers:

http://sourceforge.net/project/showfiles.php?group_id=102048

http://www.ubuntu-es.org/index.php?q=node/30194

recomendable instalar los openchrome, dan un buen rendimiento.
 

cryptex

Lanero Regular
1 Nov 2006
21
lordhellriser dijo:
... con tiempo y paciencia puede intentar instalar los drivers...

uy que camello. no tenia svn y me dio error cuando intente
svn co http://svn.openchrome.org/svn/trunk openchrome tuve que descargar archivo por archivo, ahora cuando intento compilar:
Package requirements (xorg-server xproto xvmc fontsproto libdrm randrproto renderproto xextproto x11 xextproto videoproto)

todos son para version inestable, no los consegui con apt-get los descargue pero cuando iba a instalar el x11-common (dependencia de x11proto) dice:
"x11-common hace conflicto con xfree86-common", si intento desinstalar el xfree86-common con dpkg -r muestra todos los paquetes dependen del xfree86 y no lo permite desinstalarlo.

como cambio el xfree86-common por el x11-common, para compilar el driver?
 

crisgtk

Lanero Regular
3 Oct 2006
43
mmmmmmmm puede ser un problema en las versiones de x11-common y xfree86-common y lo que debes hacer si es ese caso es buscar la version de x11-common que te acepte tu xfree86.
 

cryptex

Lanero Regular
1 Nov 2006
21
crisgtk dijo:
mmmmmmmm puede ser un problema en las versiones de x11-common y xfree86-common y lo que debes hacer si es ese caso es buscar la version de x11-common que te acepte tu xfree86.

como se que version de xfree86-common tengo, o cual es compatible con x11-common?
 

cryptex

Lanero Regular
1 Nov 2006
21
habia abandonado el tema porque no sabia como cambiar de servidor x, ahroa tengo el xorg, descargue y compile los drives de openchrome, puse en el archivo xorg.conf :
Código:
Section "Screen"
        Identifier      "Default Screen"
        Device          "S3"
        Monitor         "Acer AL1706"
        DefaultDepth    24
.....
Section "Device"
        Identifier      "S3"
        Driver          "via"

el driver lo reconoció pero cuando doy
#glxinfo | grep rendering
direct rendering: No

Ahora no se como acelerarla, cambie mi equipo a un AMD64, VIA K8M890 en Debian/Etch. ya no quiero foobillard sino Beryl....